0

EE v2.7.2, Solspace Friends v. 1.6.4

EDIT Updated Friends module, still same PHP errors. And they increase.

I get this error with several messages, of which this is the first:

A PHP Error was encountered
Severity: Notice

Message: Undefined property: Friends_groups::$aob

Filename: libraries/Friends_groups.php

Line Number: 1365

when using this code

                {exp:friends:groups type="all_groups" friends_group_id="{segment_4}" limit="1" dynamic="off"}

<h5>Weblog Entries for this Group</h5>
                        <ul>
                        {exp:friends:group_entries
                        channel="groups_publications"
                            group_name="{segment_4}"
                        }
....my channel 

fields....




    {/exp:friends:group_entries}
{/exp:friends:groups}

The EE tag does return the right data, so my question, is there something there should be done about this, or can I just ignore it? Thank you for looking at it.

  • Have you made sure all files have been correctly uploaded to your installation? Have you tried the Demo Templates that come with Friends? Do they work correctly and without this error? Lastly, have you tried the above code on a completely, absolutely blank EE template with nothing whatsoever on it besides the code (i.e. no CSS, JS, headers, footers, sidebars, and other 3rd-party plugins)? – Solspace Oct 7 '14 at 17:16
  • HiSorry for late respons, we developed other parts of the site first. Answer to the above: Have you tried the Demo Templates that come with Friends? YES Do they work correctly and without this error? This feature (connecting channel entries to a group) is not in the standard demo templates as far as I can see. Lastly, have you tried the above code on a completely, absolutely blank EE template ......? YES. The connection between the group en the channel is made, I do see the entry allright, but lots of errors. – Hansl Oct 28 '14 at 10:42
  • Looks like you'll have to file a support ticket with us. Please provide CP/FTP credentials if necessary, and tell is which template and URL to look at. support.solspace.com – Solspace Nov 3 '14 at 3:07
0

I was able to duplicate this as well. As a temporary workaround, just comment out all 4 blocks of code that reference:

if (version_compare($this->aob->ee_version, '2.6.0', '<'))

That will solve the problem and the errors will not display anymore. :)

For your convenience I will respond to your official support ticket at Solspace.com with a patched file. :)

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.